// MyTime.h : main header file for the CMyTime class
//
const int BUFLEN = 1256;
class CMyTime
{
private:
  int min; 
  char* name;
public:
  CMyTime(int mi, char* ni); 
  CMyTime(const CMyTime& cmt); 
  CMyTime(); 
  ~CMyTime();
  int setm(int mi){int mo = min; min = mi; return mo;}
  int setn(char* ni);
  int getm(){return min;}
  char* getn(char* trg){return strcpy(trg, name);}
	int MyPrint(char*, char*);
	CMyTime& operator=(CMyTime& cmt);
  operator int()const; 
	friend CMyTime operator+(CMyTime& cmt1, CMyTime& cmt2); 
	friend CMyTime operator+(int sec1, CMyTime& cmt2); 
	friend CMyTime operator+(CMyTime& cmt1, int sec2); 
	friend CMyTime operator-(CMyTime& cmt1, int sec2); 
	friend ofstream& operator<<(ofstream& ofs, CMyTime& cmt); 
	friend ifstream& operator>>(ifstream& ofs, CMyTime& cmt); 
	bool operator<(const CMyTime& cmt); 
	bool operator>(const CMyTime& cmt); 
	bool operator==(const CMyTime& cmt);  
	bool operator!=(const CMyTime& cmt);  
	CMyTime& operator!(); 
  int swap(CMyTime *pt2);
};

int incr(int, int);
int decr(int, int);
int sort(CMyTime *tims, int N); 
int swap(CMyTime *pt1, CMyTime *pt2); 
